### Constructor

# Meta WaylandClient new

#### Declaration [src]

    MetaWaylandClient*
    meta_wayland_client_new (
      MetaContext* context,
      GSubprocessLauncher* launcher,
      GError** error
    )

#### Description [src]

Creates a new `MetaWaylandClient`. The GSubprocesslauncher passed is stored internally and will be used to launch the subprocess.

#### Parameters

`context`

  Type: `MetaContext`

  A `MetaContext`.

  The data is owned by the caller of the function.

`launcher`

  Type: `GSubprocessLauncher`

  A GSubprocessLauncher to use to launch the subprocess.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `MetaWaylandClient`

A `MetaWaylandClient` or `NULL` if %error is set. Free with g_object_unref().

The caller of the function takes ownership of the data, and is responsible for freeing it.